package com.nailabs.abac.access;

import java.util.*;
import edu.stanford.peer.rbtm.credential.*;

public class AckPolicy implements edu.stanford.peer.rbtm.RBTMConstants {

    public HashMap factMap = new HashMap(FACT_MAP_SIZE);
    
    public void addAckFact(String base, String roleName, String expr) {
	try {
	    factMap.put(new Role(base, roleName), 
			StaticCredential.getEntityExpression(expr));
	}
	catch(Exception ex) {
	    if(DEBUG)ex.printStackTrace();
	}
    }

    public void addAckFact(Role role, EntityExpression req) {
	factMap.put(role, req);
    }

    public EntityExpression requires(Role key) {
	return (EntityExpression)factMap.get(key);
    }

}
